## ros2-ament-index 1.5.1

=== ament_index_cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_index_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-std=c++14 -Wall -Wextra -Wpedantic)
endif()

option(
  BUILD_SHARED_LIBS
  "Global flag to cause add_library() to create shared libraries if on. \
If set to true, this will cause all libraries to be built shared \
unless the library was explicitly added as a static library."
  ON)

find_package(ament_cmake REQUIRED)

add_library(${PROJECT_NAME}
  src/get_package_prefix.cpp
  src/get_package_share_directory.cpp
  src/get_packages_with_prefixes.cpp
  src/get_resource.cpp
  src/get_resources.cpp
  src/get_search_paths.cpp
  src/has_resource.cpp
)
target_compile_definitions(${PROJECT_NAME} PRIVATE "AMENT_INDEX_CPP_BUILDING_DLL")
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(${PROJECT_NAME}_utest test/utest.cpp)
  if(TARGET ${PROJECT_NAME}_utest)
    target_include_directories(${PROJECT_NAME}_utest PUBLIC include)
    target_link_libraries(${PROJECT_NAME}_utest ${PROJECT_NAME})
  endif()
endif()

ament_package()

install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

## ros2-ament-index 1.5.0

=== debian/changelog ===
ros2-ament-index (1.5.0-5) unstable; urgency=medium

  * Fix crash if AMENT_PREFIX_PATH is null

 -- Timo Röhling <roehling@debian.org>  Sat, 28 May 2022 11:41:13 +0200

ros2-ament-index (1.5.0-4) unstable; urgency=medium

  * Allow empty AMENT_PREFIX_PATH variable with implicit /usr
  * Add manual page for ament_index CLI

 -- Timo Röhling <roehling@debian.org>  Fri, 27 May 2022 22:34:53 +0200

ros2-ament-index (1.5.0-3) unstable; urgency=medium

  * Install shell completions
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Fri, 27 May 2022 14:43:57 +0200

ros2-ament-index (1.5.0-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Mon, 09 May 2022 09:29:18 +0200

ros2-ament-index (1.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #1010662)

 -- Timo Röhling <roehling@debian.org>  Fri, 06 May 2022 13:38:13 +0200

=== debian/control ===
Source: ros2-ament-index
Section: python
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake (>= 1.4.0-2~),
 ament-cmake-googletest <!nocheck>,
 ament-lint,
 cmake,
 dh-exec,
 dh-ros,
 dh-sequence-python3,
 python3-all,
 python3-pytest,
Homepage: https://github.com/ament/ament_index
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-index.git
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-index
Description: Fast resource indexing for ROS 2 packages
 The ament build system is the most common way to build packages for ROS 2.
 ament_index is a filesystem-based resource management system which is
 designed to allow queries on installed ROS 2 packages without crawling
 the filesystem.

Package: python3-ament-index
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis} (Python 3 module)
 ${source:Extended-Description}
 .
 This package installs the Python 3 module to query the resource index.

Package: libament-index-cpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libament-index-cpp0d (= ${binary:Version}),
Description: ${source:Synopsis} (C++ headers)
 ${source:Extended-Description}
 .
 This package installs the C++ development files and headers for the C++
 client library.

Package: libament-index-cpp0d
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (C++ library)
 ${source:Extended-Description}
 .
 This package installs the shared library for resource queries from C++.

## ros2-ament-index 1.5.1

=== debian/changelog ===
ros2-ament-index (1.5.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 1.5.1

 -- Timo Röhling <roehling@debian.org>  Sat, 17 Sep 2022 19:55:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  ament-cmake (>= 1.4.0-2~),
  ament-cmake-googletest <!nocheck>,
- ament-lint,
+ ament-lint (>= 0.13.2-2~),
  cmake,
  dh-exec,
  dh-ros,
@@ -60,4 +60,3 @@
  ${source:Extended-Description}
  .
  This package installs the shared library for resource queries from C++.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export ROS_CONFIGURE_AMENT_CMAKE_ARGS = -DAMENT_INDEX_CPP_SOVERSION=0d
export ROS_EXECUTE_BEFORE_INSTALL = sed -e 's/@VERSION@/$(DEBIAN_UPSTREAM_VERSION)/g' debian/ament_index.1.in > debian/ament_index.1

%:
	dh $@ --buildsystem=ros

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/ament/ament_index/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ros2-ament-index 1.6.0

=== debian/changelog ===
ros2-ament-index (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Bump Standards-Version to 4.6.2
  * Enable hardening flags

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Jun 2023 00:50:46 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-all,
  python3-pytest,
 Homepage: https://github.com/ament/ament_index
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-index.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-index

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/pkg-info.mk

## ros2-ament-index 1.7.0

=== debian/changelog ===
ros2-ament-index (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

 -- Timo Röhling <roehling@debian.org>  Sun, 27 Aug 2023 00:22:44 +0200

## ros2-ament-index 1.10.0

=== debian/changelog ===
ros2-ament-index (1.10.0-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * Wrap and sort Debian package files
  * New upstream version 1.10.0
  * New build dependency ament-cmake-mypy

 -- Timo Röhling <roehling@debian.org>  Sun, 06 Oct 2024 23:59:35 +0200

ros2-ament-index (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Apr 2024 00:26:44 +0200

ros2-ament-index (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Apr 2024 22:48:33 +0200

## ros2-ament-index 1.10.1

=== debian/changelog ===
ros2-ament-index (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
  * Skip broken xmllint tests

 -- Timo Röhling <roehling@debian.org>  Sun, 01 Dec 2024 17:04:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: python
 Priority: optional
 Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
  ament-cmake (>= 1.4.0-2~),
  ament-cmake-googletest <!nocheck>,
+ ament-cmake-mypy <!nocheck>,
  ament-lint (>= 0.13.2-2~),
  cmake,
+ debhelper-compat (= 13),
  dh-exec,
  dh-ros,
  dh-sequence-python3,
  python3-all,
  python3-pytest,
 Homepage: https://github.com/ament/ament_index
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-index.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-index
@@ -41,8 +43,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libament-index-cpp0d (= ${binary:Version}),
  ${misc:Depends},
- libament-index-cpp0d (= ${binary:Version}),
 Description: ${source:Synopsis} (C++ headers)
  ${source:Extended-Description}
  .

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/ament/ament_index/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## ros2-ament-index 1.12.1

=== ament_index_cpp/CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 project(ament_index_cpp)
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-  add_compile_options(-std=c++14 -Wall -Wextra -Wpedantic)
+  add_compile_options(-Wall -Wextra -Wpedantic)
 endif()
 
 option(

=== debian/changelog ===
ros2-ament-index (1.12.1-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.12.1
  * Stop depending on setuptools at runtime (Closes: #1083746)
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Sat, 13 Sep 2025 15:02:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Uploaders:
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-exec,
+ dh-ros,
+ dh-sequence-python3,
  ament-cmake (>= 1.4.0-2~),
  ament-cmake-googletest <!nocheck>,
  ament-cmake-mypy <!nocheck>,
  ament-lint (>= 0.13.2-2~),
  cmake,
- debhelper-compat (= 13),
- dh-exec,
- dh-ros,
- dh-sequence-python3,
  python3-all,
  python3-pytest,
 Homepage: https://github.com/ament/ament_index
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-index.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-index

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 export ROS_CONFIGURE_AMENT_CMAKE_ARGS = -DAMENT_INDEX_CPP_SOVERSION=0d
 export ROS_EXECUTE_BEFORE_INSTALL = sed -e 's/@VERSION@/$(DEBIAN_UPSTREAM_VERSION)/g' debian/ament_index.1.in > debian/ament_index.1
+export PYBUILD_TEST_ARGS = -m "not xmllint"
 
 %:
 	dh $@ --buildsystem=ros

=== debian/watch ===
Version: 5

Template: Github
Owner: ament
Project: ament_index

## ros2-ament-index 1.13.2

=== ament_index_cpp/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 
 project(ament_index_cpp)
 
@@ -19,10 +19,12 @@
   ON)
 
 find_package(ament_cmake REQUIRED)
+find_package(ament_cmake_gen_version_h REQUIRED)
 
 add_library(${PROJECT_NAME}
   src/get_package_prefix.cpp
   src/get_package_share_directory.cpp
+  src/get_package_share_path.cpp
   src/get_packages_with_prefixes.cpp
   src/get_resource.cpp
   src/get_resources.cpp
@@ -45,9 +47,17 @@
     target_include_directories(${PROJECT_NAME}_utest PUBLIC include)
     target_link_libraries(${PROJECT_NAME}_utest ${PROJECT_NAME})
   endif()
+
+  ament_add_gtest(${PROJECT_NAME}_utest_deprecated test/utest_deprecated.cpp)
+  if(TARGET ${PROJECT_NAME}_utest_deprecated)
+    target_include_directories(${PROJECT_NAME}_utest_deprecated PUBLIC include)
+    target_link_libraries(${PROJECT_NAME}_utest_deprecated ${PROJECT_NAME})
+  endif()
+
 endif()
 
 ament_package()
+ament_generate_version_header(ament_index_cpp)
 
 install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

=== debian/changelog ===
ros2-ament-index (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2
  * Refresh patches (no functional changes)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Mar 2026 21:25:23 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-all,
  python3-pytest,
 Homepage: https://github.com/ament/ament_index
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-index.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-index
